Mailinglist Archive: opensuse-updates (114 mails)

< Previous Next >
openSUSE-SU-2014:1472-1: moderate: Security update for gnutls
openSUSE Security Update: Security update for gnutls
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1472-1
Rating: moderate
References: #904603
Cross-References: CVE-2014-8564
Affected Products:
openSUSE 13.2
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

gnutls was updated to fix one security issue.

This security issue was fixed:
- Parsing problem in elliptic curve blobs over TLS that could lead to
remote crashes (CVE-2014-8564).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2014-696

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-696

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-696

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

gnutls-3.2.18-4.1
gnutls-debuginfo-3.2.18-4.1
gnutls-debugsource-3.2.18-4.1
libgnutls-devel-3.2.18-4.1
libgnutls-openssl-devel-3.2.18-4.1
libgnutls-openssl27-3.2.18-4.1
libgnutls-openssl27-debuginfo-3.2.18-4.1
libgnutls28-3.2.18-4.1
libgnutls28-debuginfo-3.2.18-4.1
libgnutlsxx-devel-3.2.18-4.1
libgnutlsxx28-3.2.18-4.1
libgnutlsxx28-debuginfo-3.2.18-4.1

- openSUSE 13.2 (x86_64):

libgnutls-devel-32bit-3.2.18-4.1
libgnutls28-32bit-3.2.18-4.1
libgnutls28-debuginfo-32bit-3.2.18-4.1

- openSUSE 13.1 (i586 x86_64):

gnutls-3.2.4-2.28.1
gnutls-debuginfo-3.2.4-2.28.1
gnutls-debugsource-3.2.4-2.28.1
libgnutls-devel-3.2.4-2.28.1
libgnutls-openssl-devel-3.2.4-2.28.1
libgnutls-openssl27-3.2.4-2.28.1
libgnutls-openssl27-debuginfo-3.2.4-2.28.1
libgnutls28-3.2.4-2.28.1
libgnutls28-debuginfo-3.2.4-2.28.1
libgnutlsxx-devel-3.2.4-2.28.1
libgnutlsxx28-3.2.4-2.28.1
libgnutlsxx28-debuginfo-3.2.4-2.28.1

- openSUSE 13.1 (x86_64):

libgnutls-devel-32bit-3.2.4-2.28.1
libgnutls28-32bit-3.2.4-2.28.1
libgnutls28-debuginfo-32bit-3.2.4-2.28.1

- openSUSE 12.3 (i586 x86_64):

gnutls-3.0.28-1.18.1
gnutls-debuginfo-3.0.28-1.18.1
gnutls-debugsource-3.0.28-1.18.1
libgnutls-devel-3.0.28-1.18.1
libgnutls-openssl-devel-3.0.28-1.18.1
libgnutls-openssl27-3.0.28-1.18.1
libgnutls-openssl27-debuginfo-3.0.28-1.18.1
libgnutls28-3.0.28-1.18.1
libgnutls28-debuginfo-3.0.28-1.18.1
libgnutlsxx-devel-3.0.28-1.18.1
libgnutlsxx28-3.0.28-1.18.1
libgnutlsxx28-debuginfo-3.0.28-1.18.1

- openSUSE 12.3 (x86_64):

libgnutls-devel-32bit-3.0.28-1.18.1
libgnutls28-32bit-3.0.28-1.18.1
libgnutls28-debuginfo-32bit-3.0.28-1.18.1


References:

http://support.novell.com/security/cve/CVE-2014-8564.html
https://bugzilla.suse.com/show_bug.cgi?id=904603


< Previous Next >
This Thread
  • No further messages